Bug 994267 - LDAP login causes Invalid path was requested error to appear in server log
LDAP login causes Invalid path was requested error to appear in server log
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: UI (Show other bugs)
JON 3.1.2,JON 3.2,JON 3.2.1
Unspecified Unspecified
unspecified Severity medium
: ER05
: JON 3.3.0
Assigned To: Jirka Kremser
Sunil Kondkar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-06 18:48 EDT by Larry O'Leary
Modified: 2014-12-11 09:00 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When logging in as an LDAP user the server appended a message to the log that suggested an invalid path was requested. The user was correctly presented the user authentication page and could subsequently log on correctly, however the erroneous log message may have confused customers who discovered this in the logs. The fix ignores the log messages coming from the JSF layer. The incorrect error message no longer displays.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-11 09:00:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Larry O'Leary 2013-08-06 18:48:21 EDT
Description of problem:
When logging in as an LDAP user the server log spits out an error message indicating something isn't working:

    ERROR [org.apache.struts.action.RequestProcessor] Invalid path was requested /admin/user/UserAdminPortal

Version-Release number of selected component (if applicable):
4.4.0.JON312GA

How reproducible:
Always

Steps to Reproduce:
1. Enabled LDAP support in JON.
2. Login via LDAP as an LDAP user.

Actual results:
User is presented with the user registration page and is logged in but error is displayed in server's log.

Expected results:
No error.

Additional info:
This appears to have originally been captured in upstream bug 753769 but was closed assuming the issue had been fixed. Apparently it hadn't been completely fixed.
Comment 1 Jay Shaughnessy 2014-09-03 16:40:09 EDT
I'm 95% sure this must be obsolete given the changes to LDAP and the change to EAP base. Setting to ON_QA.
Comment 2 Larry O'Leary 2014-09-03 23:01:52 EDT
(In reply to Jay Shaughnessy from comment #1)
> I'm 95% sure this must be obsolete given the changes to LDAP and the change
> to EAP base. Setting to ON_QA.

Please note that this issue affects JBoss ON 3.2 as well and has been reported as recently as June. If we have made LDAP changes in 3.3 a reference to the BZs might be in order.
Comment 3 Sunil Kondkar 2014-09-09 07:35:28 EDT
Tested in Version : 3.3.0.ER02 Build Number :4fbb183:7da54e2

After LDAP user login, following error message is logged in the server.log:

16:51:22,752 ERROR [org.apache.struts.action.RequestProcessor] (http-/0.0.0.0:7080-2) Invalid path was requested /admin/user/UserAdminPortal
Comment 4 Jay Shaughnessy 2014-09-09 14:08:32 EDT
OK, thanks for the re-test.
Comment 5 Simeon Pinder 2014-09-29 04:12:34 EDT
Moving into ER05 as didn't make the ER04 cut.
Comment 6 Jirka Kremser 2014-10-10 09:00:43 EDT
branch:  master
link:    https://github.com/rhq-project/rhq/commit/4bc607dd9
time:    2014-10-10 14:59:50 +0200
commit:  4bc607dd9524fa249568dac261653c8b2d986802
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 994267] - LDAP login causes Invalid path was requested error to
         appear in server log - Ignoring 2 particular the log messages
         coming from the JSF layer.
Comment 7 Thomas Segismont 2014-10-10 11:54:12 EDT
Cherry-picked over to release/jon3.3.x

commit 88e5abff572ca4c166970595d99a776de3c2437e
Author: Jirka Kremser <jkremser@redhat.com>
Date:   Fri Oct 10 14:59:44 2014 +0200
    
    (cherry picked from commit 4bc607dd9524fa249568dac261653c8b2d986802)
    Signed-off-by: Thomas Segismont <tsegismo@redhat.com>
Comment 9 Simeon Pinder 2014-10-21 16:24:08 EDT
Moving to ON_QA as available to test with the latest brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=394734
Comment 10 Sunil Kondkar 2014-10-27 06:59:42 EDT
Verified on Version :JON 3.3.0.ER05 Build Number : 92b6d6a:2cdb528

There is no error message in the server.log after LDAP user login.

Note You need to log in before you can comment on or make changes to this bug.